Name:          antlrworks
Version:       1.4.3
Release:       %mkrel 1
Summary:       The ANTLR GUI Development Environment
Group:         Development/Java
License:       BSD
URL:           http://www.antlr.org/works/
Source0:       http://www.antlr.org/download/%{name}-%{version}-src.zip
Source1:       antlrworks.desktop

# Disable embedding of dependency jars files into antlrworks jar file
Patch0:         %{name}-1.4-build.patch
# Add xdg-open and epiphany as available web browsers to open help (sent
# upstream)
Patch1:         %{name}-1.4-browsers.patch
# Fix compilation with JGoodies Forms >= 1.4.2
Patch2:         %{name}-1.4-jgoodies-forms_1.4.2.patch
# Fix compilation with OpenJDK 7
Patch3:         %{name}-1.4.3-jdk7.patch

BuildRequires: ant
BuildRequires: antlr3-tool >= 3.3
BuildRequires: desktop-file-utils
BuildRequires: jgoodies-forms

BuildArch:     noarch

Requires:      antlr3-tool >= 3.3
Requires:      graphviz
Requires:      hicolor-icon-theme
Requires:      jgoodies-forms
Requires:      jgoodies-common
Requires:      java-devel >= 0:1.6.0

%description
ANTLRWorks is a novel grammar development environment for ANTLR v3 grammars
written by Jean Bovet (with suggested use cases from Terence Parr). It combines
an excellent grammar-aware editor with an interpreter for rapid prototyping and
a language-agnostic debugger for isolating grammar errors. ANTLRWorks helps
eliminate grammar nondeterminisms, one of the most difficult problems for
beginners and experts alike, by highlighting nondeterministic paths in the
syntax diagram associated with a grammar. ANTLRWorks' goal is to make grammars
more accessible to the average programmer, improve maintainability and
readability of grammars by providing excellent grammar navigation and
refactoring tools, and address the most common questions and problems
encountered by grammar developers.


%prep
%setup -q -c
%patch0 -p0 -b .build
%patch1 -p1 -b .browsers
%patch2 -p0 -b .jgoodies-forms_1.4.2
%patch3 -p1 -b .jdk7

find -name '*.class' -o -name '*.jar' -exec rm '{}' \;

%build
export CLASSPATH=$(build-classpath antlr antlr3 antlr3-runtime jgoodies-common jgoodies-forms stringtemplate stringtemplate4)
ant build

%install
install -Dpm 644 dist/%{name}-%{version}.jar  %{buildroot}%{_javadir}/%{name}.jar

%jpackage_script org.antlr.works.IDE "-Xmx400m" "" antlrworks:antlr:antlr3:antlr3-runtime:jgoodies-common:jgoodies-forms:stringtemplate:stringtemplate4 %{name} true

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

install -Dpm 0644 resources/icons/app.png \
    %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

for i in 16 32 64; do
    install -Dpm 0644 resources/icons/app_${i}x$i.png \
        %{buildroot}%{_datadir}/icons/hicolor/${i}x$i/apps/%{name}.png
done

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_javadir}/%{name}.jar
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png


%changelog

* Sat Feb 25 2012 kamil <kamil> 1.4.3-1.mga2
+ Revision: 214373
- new version 1.4.3
- synchronize patches and .spec with Fedora

* Mon Jan 09 2012 gil <gil> 1.4-1.mga2
+ Revision: 194049
- imported package antlrworks

